LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XListEntrySink Interface Reference

specifies support for indirect manipulation of a string list More...

`import"XListEntrySink.idl";`

Inheritance diagram for XListEntrySink:

## Public Member Functions
void | setListEntrySource ([in] XListEntrySource Source)
| sets the new source for the list entries of the component More...
XListEntrySource | getListEntrySource ()
| retrieves the current source for the list entries of the component. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies support for indirect manipulation of a string list

Developers Guide
  Forms - External List Sources

## Member Function Documentation

## ◆ getListEntrySource()

XListEntrySource getListEntrySource | ( |  | ) |

retrieves the current source for the list entries of the component.

## ◆ setListEntrySource()

void setListEntrySource | ( | [in] XListEntrySource | Source | ) |

sets the new source for the list entries of the component

The list represented by this component will be cleared, and initially filled with the entries from the new list source.

Parameters

  Source | the new source for the list entries. May be `NULL`, in this case, the current source is revoked.

The documentation for this interface was generated from the following file:

- com/sun/star/form/binding/XListEntrySink.idl